package provide machelp 1.0 

package require xplat
namespace eval machelp {


    if {![info exists library]} {
	variable library [file dirname [info script]]
    }


    #set app name and version to parse help url correctly
    proc setAppName {app version} {

	variable appname
	variable appversion
	
	set appname $app
	set appversion $version

    }
    

    #open help url online
    proc userhelp {} {

	variable appname
	variable appversion
	variable library

	source [file join $machelp::library help.tcl]

    }

    #e-mail developer for assistance
    proc usermail {} { 

	variable appname
	variable appversion

	xplat::launch mailto:kw@codebykevin.com?subject=$appname
    }

    #access user forum
    proc userforum {} { 

	variable appname
	variable appversion

	xplat::launch http://www.codebykevin.com/forum/
    }


    #e-mail developer for assistance
    proc appweb {} { 

	variable appname
	variable appversion

	xplat::launch http://www.codebykevin.com/$appname.html

    }

  #sign up for newsletter
    proc newsletter {} {
	
	variable appname
	variable version

	xplat::launch http://www.codebykevin.com/newsletter.html

    }


    namespace export *

}
